Page MenuHomePhabricator

Add ras/noras flag to enable/disable RAS in clang
ClosedPublic

Authored by rogfer01 on May 16 2016, 3:51 AM.

Details

Summary

RAS extensions are part of ARMv8.2.

This patch enables +ras +noras to AArch64 in clang.

Diff Detail

Repository
rL LLVM

Event Timeline

rogfer01 updated this revision to Diff 57331.May 16 2016, 3:51 AM
rogfer01 retitled this revision from to Add ras/noras flag to enable/disable RAS in clang.
rogfer01 updated this object.
rogfer01 added a reviewer: rsmith.
rogfer01 added a subscriber: cfe-commits.
rogfer01 updated this revision to Diff 57451.May 17 2016, 3:18 AM

Update test from mrasext to mras

t.p.northover accepted this revision.May 17 2016, 7:28 PM
t.p.northover added a reviewer: t.p.northover.
t.p.northover added a subscriber: t.p.northover.

Looks pretty straightforward, go for it.

Tim.

This revision is now accepted and ready to land.May 17 2016, 7:28 PM
rogfer01 abandoned this revision.May 25 2016, 5:19 AM
rogfer01 reclaimed this revision.May 31 2016, 3:46 AM

Well, seems that Renato reverted the changes, so this still holds.

This revision is now accepted and ready to land.May 31 2016, 3:46 AM
This revision was automatically updated to reflect the committed changes.